Bug 207324 - smartctl does not return error code when fails on SATA disc
smartctl does not return error code when fails on SATA disc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 13:21 EDT by Milan Kerslager
Modified: 2008-09-30 10:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 10:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2006-09-20 13:21:25 EDT
smartctl /dev/sda (sda is SATA disc) does not return error code even fails on SATA

With -a parameter, returns code 4.

Please fix to be able to workaround bug #176835 (smartctl and smartd are unable
to detect SATA and trying to handle them as SCSI).
Comment 1 RHEL Product and Program Management 2008-09-24 16:25:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Michal Hlavinka 2008-09-30 10:21:54 EDT
SATA disks works with kernel-utils-2.4-14.1.117 hence no error code is returned now.

Note You need to log in before you can comment on or make changes to this bug.